Playing youtube (and other) video and audio

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderators: trava90, satrow

surveyor 7
New to the forum
New to the forum
Posts: 2
Joined: Wed Nov 22, 2017 10:12 pm

Playing youtube (and other) video and audio

Postby surveyor 7 » Thu Nov 30, 2017 9:41 pm

When I moved to Pale Moon, I found no sound on youtube (or anywhere else).

Trying to debug that from the forum led me to the test pages https://www.youtube.com/html5 and http://www.quirksmode.org/html5/tests/video.html, which both told me H.264 wasn't working. I checked that ffmpeg -codecs had h.264, and that downloaded files played fine in mplayer using H.264.

Eventually, my searching came across
https://github.com/MoonchildProductions/Pale-Moon/tree/master/dom/media/platforms/ffmpeg
which says the minimum version for libavcodec.so is 54.35.1. So I found and installed a newer version to go with my two older versions. (I understand from using other A/V programs that ffmpeg's innards change frequently.)

This activated H.264 in the test pages, but I still had no sound, although digging into the second test page I found that

Code: Select all

mplayer http://www.quirksmode.org/html5/videos/big_buck_bunny.mp4
worked fine.

Eventually, I found an old thread https://forum.palemoon.org/viewtopic.php?f=37&t=9661&p=65944
and did the same syntax transformation to my ALSA config /etc/asound.conf, which had been working fine for everything else. Now it appears that everything else *and* Pale Moon is happy.

stevepusser
Lunatic
Lunatic
Posts: 267
Joined: Sat Aug 01, 2015 6:33 pm
Location: California

Re: Playing youtube (and other) video and audio

Postby stevepusser » Fri Dec 01, 2017 3:06 am

That begs the question of what ye olde version of Linux didn't have libavcodec54...stock Debian Wheezy has only libavcodec53, but that can be upgraded to libavcodec55 from wheezy-backports. Seems like I should add a minimum version to the ffmpeg/libav-tools dependency in my packages, then.

Walter Dnes
Lunatic
Lunatic
Posts: 368
Joined: Thu Jul 30, 2015 8:29 pm
Location: Vaughan, ON, Canada

Re: Playing youtube (and other) video and audio

Postby Walter Dnes » Fri Dec 01, 2017 4:15 am

One option that'll allow slightly older versions to work in Pale Moon for linux is to go to about:buildconfig and set the option media.libavcodec.allow-obsolete to true. It won't work for really ancient libraries but it will work with slightly older versions than the default value of true. Is trava90 monitoring this thread? Can he give us the exact version numbers this works for?

User avatar
trava90
Contributing developer
Contributing developer
Posts: 1346
Joined: Mon May 20, 2013 6:19 pm
Location: Earth
Contact:

Re: Playing youtube (and other) video and audio

Postby trava90 » Fri Dec 01, 2017 1:48 pm

Pale Moon supports libavcodec versions from 53 to 57 (which is the most recent stable release if I'm not mistaken), while anything below version 54.35.1 is blocked by default (unless the allow-obsolete pref is flipped).


Return to “Pale Moon for Linux”

Who is online

Users browsing this forum: amberit and 7 guests